11 Replies Latest reply: Nov 1, 2012 7:09 PM by My mind is going, Dave...
Lome Level 1 (0 points)

my iMac says all software is up to date but websites that need java still say that i need to update to the latest version of java.

iMac, Mac OS X (10.6.8)